/***************************************************************************
 *   Copyright (C) 2006 by Vincenzo Forchi`,,,   *
 *   tus@ken   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef history_H
#define history_H

#include "ui_history.h"
#include <QString>
#include <vector>

class History: public QWidget
{
    Q_OBJECT

public:
    History(QString, QWidget * =NULL);
    QString	device;

protected:
    Ui::History ui;
    std::vector<double> Hor1History;
    std::vector<double> Ver1History;
    std::vector<double> Hor2History;
    std::vector<double> Ver2History;

public slots:
    void readData();
    void saveData();
};


#endif
